
Figure - Bug #117825
【IOVDEV-26391】【内部】【VC1】【0072】【台架】【EE环境】【副屏】偶发一次副屏播放音乐在飞书语
音后播放没有音乐声音输出
2023-05-08 20:50 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-08

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 03.02.0076.C101

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230508 14：33

【前提条件】：车机上电，飞书已登录

【操作步骤】

1. 副屏播放音乐

2.飞书语音来电

3.飞书语音来电结束

【实际结果】

副屏播放音乐没有声音输出

【期望结果】

副屏播放音乐声音正常输出

【车架号】：

【备注】：

只发生一次，重启副屏没有恢复声音输出。卸载飞书后，副屏播放音乐声音正常输出。

再次测试没有复现。

log地址：https://ofs.human-horizons.com/#/download/index/EnctQSs3VV4%3D

【影响版本】：03.02.0076.C101

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-09 16:44 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL，

当前分析：
根据当前日志进行分析，发现在飞书挂断电话时，没有释放voice call的焦点，导致音乐无法获取到焦点而不能播放。

000038_persist_00486_230508_143328.log:378:05-08 14:33:34.284 11029 11149 D audio_hw_primary: adev_set_mode: mode 0 , prev_mode 3 

000038_persist_00486_230508_143328.log:433:05-08 14:33:37.067 11090 11103 I MediaFocusControl: abandonAudioFocus() from uid/pid 10097/14525 clientId=

android.media.AudioManager@68f6021com.ss.android.vc.meeting.utils.-$$Lambda$k$zMk5pn02Rv9aKkrg5qQ3MH6R-5w@4dc2c46

下一步：

我们将放开日志尝试复现该问题。

#2 - 2023-05-12 09:35 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI 诗雨

我使用99的版本进行了复现，未能复现到该问题，请帮忙使用以下VB进行复现呢，谢谢！

如果复现到，请标注一下发生时间。

Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230511/202305110834-673

#3 - 2023-06-07 11:00 - CDTS_Test 吴诗雨

- File 21点飞书语音通话挂断后播放视频无声音输出.mp4 added

- File 21点复现飞书之后音乐视频无声音输出.7z added

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

#4 - 2023-06-07 11:02 - CDTS_Test 吴诗雨

【回归是否成功】：失败

【回归时间】：20230606   21：00

【回归版本】：中控03.02.0088.C103  副屏01.00.0106.C104

【回归环境】：HRYTTESTVINMGM400

【回归手顺】：同问题描述，只是播放音乐更改为播放视频，可查看视频：https://ofs.human-horizons.com/#/download/index/Cbqb%2BJYCdpQ%3D

【回归结果】：挂断飞书语音后，播放视频无声音输出或点击播放音乐会立即自动暂停。中控端也不能播放音乐和视频

【回归日志】：adblog：21点复现飞书之后音乐视频无声音输出.7z      实时和历史日志地址：

https://ofs.human-horizons.com/#/download/index/Fs7u42WdMTY%3D

日志与视频：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117825

#5 - 2023-06-07 11:38 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前分析：

视频和音乐无法播放是因为获取焦点失败，

失败的原因是副屏飞书结束通话时，释放焦点，中控没有收到消息，导致中控并未切换此时的状态，还处于副屏通话的状态；

从微服务日志看，心跳正常，微服务发出了消息，中控日志也没有消息收到，问题应该是网络丢包导致的。

副屏日志：

00266_manual_00019_230606_210213.log:897:06-06 20:59:46.607  1553  1588 D AS.AudioService: idcm_af:abandonAudioFocus, call: com.ss.android.lark
000266_manual_00019_230606_210213.log:901:06-06 20:59:46.608  1553  1588 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus:

AudioFocus_VoiceCall

000266_manual_00019_230606_210213.log:902:06-06 20:59:46.608  1553  1588 D AudioIDCMicroNegotiator: idcm_common:requestResult method =

abandonAudioFocus parameters = {"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}

000266_manual_00019_230606_210213.log:903:06-06 20:59:46.608  1553  1588 I MicroServiceManager: requestResult(abandonAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

000266_manual_00019_230606_210213.log:904:06-06 20:59:46.608  1553  1588 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

000266_manual_00019_230606_210213.log:905:06-06 20:59:46.608  1553  1588 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

000266_manual_00019_230606_210213.log:911:06-06 20:59:46.611  2085  5980 D MicroService: Send message to

IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService', destService='IDCM_CarAudioService', messageType='0',

uuid='1686056386608845443',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1686056386608845443,"methodName":"aband

onAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

000266_manual_00019_230606_210213.log:956:06-06 20:59:47.208  1553  1588 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: null

000266_manual_00019_230606_210213.log:957:06-06 20:59:47.208  1553  1588 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

000266_manual_00019_230606_210213.log:958:06-06 20:59:47.208  1553  1588 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout=

true time= 600

000266_manual_00019_230606_210213.log:959:06-06 20:59:47.208  1553  1859 D AudioIDCMicroNegotiator: idcm_af:wait messsage done ->

onAudioFocusRemoteChanged

000266_manual_00019_230606_210213.log:960:06-06 20:59:47.208  1553  1859 D AudioService.PlaybackActivityMonitor:

idcm_af:onAudioFocusRemoteChanged: 0 info= null

#6 - 2023-06-07 12:21 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to ETH 黄鹏飞

HI 鹏飞

根据上面的分析，麻烦分析一下网络是否出现了丢包。

#7 - 2023-06-07 15:23 - 物联网项目组-RD3_CDTS 周飞

- Assignee changed from ETH 黄鹏飞 to CD_BSP 彭文亮

#8 - 2023-06-10 10:42 - CD_BSP 彭文亮

- Assignee changed from CD_BSP 彭文亮 to 物联网测试组_CDTS  唐霞 

我和唐霞已经复现故障，但梁卿山认为没有复现出故障。

请唐霞继续复现故障，具体现象咨询梁卿山。

1）

fsem上抓取日志：

tcpdump -i eth0 -nnXSs 0 -w /data/fsem.pcap

adb logcat > fsem_logcat.txt

zk上抓取日志：

tcpdump -i eth0 -nnXSs 0 -w /data/zk.pcap

adb logcat > zk_logcat.txt

2）请梁卿山提供正常的logcat日志描述，应该是什么message?

   不正常的logcat日志，是什么变化。以便以太网底层同事进行甄别，确实复现了故障现象。

王祥林，此问题为综合问题，很可能不是以太网丢包问题，请进行综合的管理。
#9 - 2023-06-13 11:13 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

该问题已经同步jira,和IOVDEV-34225同类问题。

#10 - 2023-07-07 13:49 - 物联网测试组_CDTS  唐霞 

- Status changed from ASSIGNED to RESOLVED

IOVDEV-34225已关闭，该问题单也关闭

#11 - 2023-07-07 13:50 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#12 - 2023-07-07 13:50 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

14点33分副屏播放音乐时，飞书来电挂断后，音乐播放没有声音输出.gz 40.4 MB 2023-05-08 CDTS_Test 吴诗雨

21点飞书语音通话挂断后播放视频无声音输出.mp4 15.3 MB 2023-06-07 CDTS_Test 吴诗雨

21点复现飞书之后音乐视频无声音输出.7z 256 KB 2023-06-07 CDTS_Test 吴诗雨
